# PaymentPlan

Offene Posten - Zahlungspläne

## PUT /erp/finance/openitems/paymentplan/{openItemId}/change\_paymentplan

> Ändert einen Zahlungsplan

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"PaymentPlan","description":"Offene Posten - Zahlungspläne"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/finance/openitems/paymentplan/{openItemId}/change_paymentplan":{"put":{"tags":["PaymentPlan"],"description":"Ändert einen Zahlungsplan","operationId":"update_34","parameters":[{"name":"openItemId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-PaymentPlanChangeRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItemPaymentPlan"}}}}}}}},"components":{"schemas":{"erp-finance-PaymentPlanChangeRequest":{"properties":{"paymentPlanType":{"type":"string","description":"Zahlungsplantyp","enum":["RULE","MANUAL"]},"dueDateCalculation":{"type":"string","description":"Fälligkeitsregel"},"clearDueDateCalculation":{"type":"boolean","description":"Fälligkeitsregel löschen"},"amount":{"type":"number","description":"Betrag"},"clearAmount":{"type":"boolean","description":"Betrag löschen"},"startDate":{"type":"string","format":"date","description":"Startdatum"},"clearStartDate":{"type":"boolean","description":"Startdatum löschen"},"endDate":{"type":"string","format":"date","description":"Enddatum"},"clearEndDate":{"type":"boolean","description":"Enddatum löschen"},"description":{"type":"string","description":"Beschreibung"},"active":{"type":"boolean","description":"Aktiv"},"dueDate":{"type":"string","format":"date","description":"Fälligkeitsdatum"},"clearDueDate":{"type":"boolean","description":"Fälligkeitsdatum löschen"},"manualRuleEntries":{"type":"array","description":"manuelle Buchungsvorgaben","items":{"$ref":"#/components/schemas/erp-finance-PaymentPlanManualRule"}}}},"erp-finance-PaymentPlanManualRule":{"description":"manuelle Buchungsvorgaben","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"dueDate":{"type":"string","format":"date","description":"Fälligkeit"},"amount":{"type":"number","description":"Betrag"},"processed":{"type":"boolean","description":"bereits verarbeitet","readOnly":true},"currencyCode":{"type":"string","description":"Währung (ISO-A3)"},"exchangeRate":{"type":"number","description":"Kurs der Währung zu Basiswährung"},"baseCurrencyCode":{"type":"string","description":"Basiswährung (ISO-A3)"},"baseAmount":{"type":"number","description":"Betrag in Basiswährung"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-finance-OpenItemPaymentPlan":{"description":"Zahlungsplan","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"paymentPlanType":{"type":"string","description":"Zahlungsplantyp","enum":["RULE","MANUAL"]},"dueDateCalculation":{"type":"string","description":"Fälligkeitsregel"},"amount":{"type":"number","description":"Betrag"},"startDate":{"type":"string","format":"date","description":"Startdatum"},"endDate":{"type":"string","format":"date","description":"Enddatum"},"description":{"type":"string","description":"Beschreibung"},"active":{"type":"boolean","description":"Aktiv"},"dueDate":{"type":"string","format":"date","description":"Fälligkeitsdatum"},"manualRuleEntries":{"type":"array","description":"manuelle Buchungsvorgaben","items":{"$ref":"#/components/schemas/erp-finance-PaymentPlanManualRule"}},"currencyCode":{"type":"string","description":"Währung des Zahlungsplans (ISO-A3)"},"exchangeRate":{"type":"number","description":"Kurs der Währung zu Basiswährung"},"baseCurrencyCode":{"type":"string","description":"Basiswährung des Zahlungsplans (ISO-A3)"},"baseAmount":{"type":"number","description":"Betrag in Basiswährung"}}}}}}
```

## POST /erp/finance/openitems/paymentplan/{openItemId}/transform\_to\_paymentplan

> Wandelt einen Rechnungs-OP in einen Zahlungsplan um

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"PaymentPlan","description":"Offene Posten - Zahlungspläne"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/finance/openitems/paymentplan/{openItemId}/transform_to_paymentplan":{"post":{"tags":["PaymentPlan"],"description":"Wandelt einen Rechnungs-OP in einen Zahlungsplan um","operationId":"transformInvoiceOpenItemToPaymentPlan","parameters":[{"name":"openItemId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/finance/openitems/paymentplan/{openItemId}/evaluate\_paymentplan

> Triggert die Berechnung eines Zahlungsplans

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"PaymentPlan","description":"Offene Posten - Zahlungspläne"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/finance/openitems/paymentplan/{openItemId}/evaluate_paymentplan":{"post":{"tags":["PaymentPlan"],"description":"Triggert die Berechnung eines Zahlungsplans","operationId":"evaluateOpenItemPaymentPlan","parameters":[{"name":"openItemId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/finance/openitems/paymentplan/start\_paymentplan\_run

> Erstellt einen Zahlungsplanlauf

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"PaymentPlan","description":"Offene Posten - Zahlungspläne"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/finance/openitems/paymentplan/start_paymentplan_run":{"post":{"tags":["PaymentPlan"],"description":"Erstellt einen Zahlungsplanlauf","operationId":"evaluateOpenItemPaymentPlanRun","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-OpenItemPlanRunRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"erp-finance-OpenItemPlanRunRequest":{"properties":{"dueDate":{"type":"string","format":"date","description":"Fälligkeit der nächsten Buchung"},"accountIds":{"type":"array","description":"Einschränkung auf spezielle Adressen?","items":{"type":"integer","format":"int64","description":"Einschränkung auf spezielle Adressen?"}},"startDate":{"type":"string","format":"date","description":"Starttag des Zahlungsplanes - bis"},"endDate":{"type":"string","format":"date","description":"Endtag des Zahlungsplanes - bis"}},"required":["dueDate"]},"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.vario-software.de/api-reference/paymentplan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
